> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nivara.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Mock Login

# Mock Login

Endpoint for simulating user login during development and testing.

## Path Parameters

| Parameter   | Type   | Required | Description                   |
| ----------- | ------ | -------- | ----------------------------- |
| user\_email | string | Yes      | Email of the user to login as |

## Responses

| Status | Description           | Content Type     |
| ------ | --------------------- | ---------------- |
| 200    | Successful mock login | application/json |
| 422    | Validation Error      | application/json |


## OpenAPI

````yaml GET /mock-login/{user_email}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /mock-login/{user_email}:
    get:
      summary: Mock Login
      operationId: mock_login_mock_login__user_email__get
      parameters:
        - name: user_email
          in: path
          required: true
          schema:
            type: string
            title: User Email
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````